# CMAKE generated file: DO NOT EDIT!
# Generated by "MinGW Makefiles" Generator, CMake Version 3.13

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

SHELL = cmd.exe

# The CMake executable.
CMAKE_COMMAND = "C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe"

# The command to remove a file.
RM = "C:\Program Files\JetBrains\CLion 2019.1\bin\cmake\win\bin\cmake.exe" -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = C:\Users\Karol\ClionProjects\Bachelor

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = C:\Users\Karol\ClionProjects\Bachelor\cmake-build-debug

# Include any dependencies generated for this target.
include CMakeFiles/BAgraph.dir/depend.make

# Include the progress variables for this target.
include CMakeFiles/BAgraph.dir/progress.make

# Include the compile flags for this target's objects.
include CMakeFiles/BAgraph.dir/flags.make

CMakeFiles/BAgraph.dir/main.cpp.obj: CMakeFiles/BAgraph.dir/flags.make
CMakeFiles/BAgraph.dir/main.cpp.obj: CMakeFiles/BAgraph.dir/includes_CXX.rsp
CMakeFiles/BAgraph.dir/main.cpp.obj: ../main.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=C:\Users\Karol\ClionProjects\Bachelor\cmake-build-debug\CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object CMakeFiles/BAgraph.dir/main.cpp.obj"
	C:\MinGW\bin\g++.exe  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles\BAgraph.dir\main.cpp.obj -c C:\Users\Karol\ClionProjects\Bachelor\main.cpp

CMakeFiles/BAgraph.dir/main.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/BAgraph.dir/main.cpp.i"
	C:\MinGW\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E C:\Users\Karol\ClionProjects\Bachelor\main.cpp > CMakeFiles\BAgraph.dir\main.cpp.i

CMakeFiles/BAgraph.dir/main.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/BAgraph.dir/main.cpp.s"
	C:\MinGW\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S C:\Users\Karol\ClionProjects\Bachelor\main.cpp -o CMakeFiles\BAgraph.dir\main.cpp.s

CMakeFiles/BAgraph.dir/redBlackEdges.cpp.obj: CMakeFiles/BAgraph.dir/flags.make
CMakeFiles/BAgraph.dir/redBlackEdges.cpp.obj: CMakeFiles/BAgraph.dir/includes_CXX.rsp
CMakeFiles/BAgraph.dir/redBlackEdges.cpp.obj: ../redBlackEdges.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=C:\Users\Karol\ClionProjects\Bachelor\cmake-build-debug\CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building CXX object CMakeFiles/BAgraph.dir/redBlackEdges.cpp.obj"
	C:\MinGW\bin\g++.exe  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles\BAgraph.dir\redBlackEdges.cpp.obj -c C:\Users\Karol\ClionProjects\Bachelor\redBlackEdges.cpp

CMakeFiles/BAgraph.dir/redBlackEdges.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/BAgraph.dir/redBlackEdges.cpp.i"
	C:\MinGW\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E C:\Users\Karol\ClionProjects\Bachelor\redBlackEdges.cpp > CMakeFiles\BAgraph.dir\redBlackEdges.cpp.i

CMakeFiles/BAgraph.dir/redBlackEdges.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/BAgraph.dir/redBlackEdges.cpp.s"
	C:\MinGW\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S C:\Users\Karol\ClionProjects\Bachelor\redBlackEdges.cpp -o CMakeFiles\BAgraph.dir\redBlackEdges.cpp.s

CMakeFiles/BAgraph.dir/oneHelpfulSet.cpp.obj: CMakeFiles/BAgraph.dir/flags.make
CMakeFiles/BAgraph.dir/oneHelpfulSet.cpp.obj: CMakeFiles/BAgraph.dir/includes_CXX.rsp
CMakeFiles/BAgraph.dir/oneHelpfulSet.cpp.obj: ../oneHelpfulSet.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=C:\Users\Karol\ClionProjects\Bachelor\cmake-build-debug\CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building CXX object CMakeFiles/BAgraph.dir/oneHelpfulSet.cpp.obj"
	C:\MinGW\bin\g++.exe  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles\BAgraph.dir\oneHelpfulSet.cpp.obj -c C:\Users\Karol\ClionProjects\Bachelor\oneHelpfulSet.cpp

CMakeFiles/BAgraph.dir/oneHelpfulSet.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/BAgraph.dir/oneHelpfulSet.cpp.i"
	C:\MinGW\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E C:\Users\Karol\ClionProjects\Bachelor\oneHelpfulSet.cpp > CMakeFiles\BAgraph.dir\oneHelpfulSet.cpp.i

CMakeFiles/BAgraph.dir/oneHelpfulSet.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/BAgraph.dir/oneHelpfulSet.cpp.s"
	C:\MinGW\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S C:\Users\Karol\ClionProjects\Bachelor\oneHelpfulSet.cpp -o CMakeFiles\BAgraph.dir\oneHelpfulSet.cpp.s

CMakeFiles/BAgraph.dir/cutSizeBisection.cpp.obj: CMakeFiles/BAgraph.dir/flags.make
CMakeFiles/BAgraph.dir/cutSizeBisection.cpp.obj: CMakeFiles/BAgraph.dir/includes_CXX.rsp
CMakeFiles/BAgraph.dir/cutSizeBisection.cpp.obj: ../cutSizeBisection.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=C:\Users\Karol\ClionProjects\Bachelor\cmake-build-debug\CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Building CXX object CMakeFiles/BAgraph.dir/cutSizeBisection.cpp.obj"
	C:\MinGW\bin\g++.exe  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles\BAgraph.dir\cutSizeBisection.cpp.obj -c C:\Users\Karol\ClionProjects\Bachelor\cutSizeBisection.cpp

CMakeFiles/BAgraph.dir/cutSizeBisection.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/BAgraph.dir/cutSizeBisection.cpp.i"
	C:\MinGW\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E C:\Users\Karol\ClionProjects\Bachelor\cutSizeBisection.cpp > CMakeFiles\BAgraph.dir\cutSizeBisection.cpp.i

CMakeFiles/BAgraph.dir/cutSizeBisection.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/BAgraph.dir/cutSizeBisection.cpp.s"
	C:\MinGW\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S C:\Users\Karol\ClionProjects\Bachelor\cutSizeBisection.cpp -o CMakeFiles\BAgraph.dir\cutSizeBisection.cpp.s

CMakeFiles/BAgraph.dir/pathDecomposition.cpp.obj: CMakeFiles/BAgraph.dir/flags.make
CMakeFiles/BAgraph.dir/pathDecomposition.cpp.obj: CMakeFiles/BAgraph.dir/includes_CXX.rsp
CMakeFiles/BAgraph.dir/pathDecomposition.cpp.obj: ../pathDecomposition.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=C:\Users\Karol\ClionProjects\Bachelor\cmake-build-debug\CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Building CXX object CMakeFiles/BAgraph.dir/pathDecomposition.cpp.obj"
	C:\MinGW\bin\g++.exe  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles\BAgraph.dir\pathDecomposition.cpp.obj -c C:\Users\Karol\ClionProjects\Bachelor\pathDecomposition.cpp

CMakeFiles/BAgraph.dir/pathDecomposition.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/BAgraph.dir/pathDecomposition.cpp.i"
	C:\MinGW\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E C:\Users\Karol\ClionProjects\Bachelor\pathDecomposition.cpp > CMakeFiles\BAgraph.dir\pathDecomposition.cpp.i

CMakeFiles/BAgraph.dir/pathDecomposition.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/BAgraph.dir/pathDecomposition.cpp.s"
	C:\MinGW\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S C:\Users\Karol\ClionProjects\Bachelor\pathDecomposition.cpp -o CMakeFiles\BAgraph.dir\pathDecomposition.cpp.s

# Object files for target BAgraph
BAgraph_OBJECTS = \
"CMakeFiles/BAgraph.dir/main.cpp.obj" \
"CMakeFiles/BAgraph.dir/redBlackEdges.cpp.obj" \
"CMakeFiles/BAgraph.dir/oneHelpfulSet.cpp.obj" \
"CMakeFiles/BAgraph.dir/cutSizeBisection.cpp.obj" \
"CMakeFiles/BAgraph.dir/pathDecomposition.cpp.obj"

# External object files for target BAgraph
BAgraph_EXTERNAL_OBJECTS =

libBAgraph.a: CMakeFiles/BAgraph.dir/main.cpp.obj
libBAgraph.a: CMakeFiles/BAgraph.dir/redBlackEdges.cpp.obj
libBAgraph.a: CMakeFiles/BAgraph.dir/oneHelpfulSet.cpp.obj
libBAgraph.a: CMakeFiles/BAgraph.dir/cutSizeBisection.cpp.obj
libBAgraph.a: CMakeFiles/BAgraph.dir/pathDecomposition.cpp.obj
libBAgraph.a: CMakeFiles/BAgraph.dir/build.make
libBAgraph.a: CMakeFiles/BAgraph.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --bold --progress-dir=C:\Users\Karol\ClionProjects\Bachelor\cmake-build-debug\CMakeFiles --progress-num=$(CMAKE_PROGRESS_6) "Linking CXX static library libBAgraph.a"
	$(CMAKE_COMMAND) -P CMakeFiles\BAgraph.dir\cmake_clean_target.cmake
	$(CMAKE_COMMAND) -E cmake_link_script CMakeFiles\BAgraph.dir\link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
CMakeFiles/BAgraph.dir/build: libBAgraph.a

.PHONY : CMakeFiles/BAgraph.dir/build

CMakeFiles/BAgraph.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles\BAgraph.dir\cmake_clean.cmake
.PHONY : CMakeFiles/BAgraph.dir/clean

CMakeFiles/BAgraph.dir/depend:
	$(CMAKE_COMMAND) -E cmake_depends "MinGW Makefiles" C:\Users\Karol\ClionProjects\Bachelor C:\Users\Karol\ClionProjects\Bachelor C:\Users\Karol\ClionProjects\Bachelor\cmake-build-debug C:\Users\Karol\ClionProjects\Bachelor\cmake-build-debug C:\Users\Karol\ClionProjects\Bachelor\cmake-build-debug\CMakeFiles\BAgraph.dir\DependInfo.cmake --color=$(COLOR)
.PHONY : CMakeFiles/BAgraph.dir/depend

